Index: /doc/latex/merger_8h__incl.dot
===================================================================
--- /doc/latex/merger_8h__incl.dot (revision 261)
+++ /doc/latex/merger_8h__incl.dot (revision 270)
@@ -14,15 +14,17 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
-  Node2 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
-  Node10 [label="../stat/emix.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$emix_8h.html",tooltip="Probability distributions for Mixtures of pdfs."];
-  Node10 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node10 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node2 -> Node11 [color="midnightblue",fontsize=10,style="solid"];
+  Node11 [label="../stat/emix.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$emix_8h.html",tooltip="Probability distributions for Mixtures of pdfs."];
+  Node11 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node11 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/classbdm_1_1migamma__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1migamma__coll__graph.eps (revision 261)
+++ /doc/latex/classbdm_1_1migamma__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 252 486
+%%PageBoundingBox: 36 36 252 482
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 216 450 boxprim clip newpath
+36 36 216 446 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -300,5 +300,5 @@
 % Node4
 gsave
-[ /Rect [ 6 421 90 441 ]
+[ /Rect [ 6 417 90 437 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 6 420 moveto
-6 441 lineto
-91 441 lineto
-91 420 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 6 420 moveto
-6 441 lineto
-91 441 lineto
-91 420 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-13.5 427.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 6 416 moveto
+6 437 lineto
+91 437 lineto
+91 416 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 6 416 moveto
+6 437 lineto
+91 437 lineto
+91 416 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+13.5 423.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -328,24 +328,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 30 413 moveto
-23 404 15 393 11 382 curveto
--7 328 18 259 29 233 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 27.45 415.4 moveto
-37 420 lineto
-32.4 410.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 27.45 415.4 moveto
-37 420 lineto
-32.4 410.45 lineto
+newpath 30 409 moveto
+23 400 15 389 11 378 curveto
+-6 325 18 259 29 233 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 27.45 411.4 moveto
+37 416 lineto
+32.4 406.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 27.45 411.4 moveto
+37 416 lineto
+32.4 406.45 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 20 361 76 381 ]
+[ /Rect [ 20 357 76 377 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 20 360 moveto
-20 381 lineto
-76 381 lineto
-76 360 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 20 360 moveto
-20 381 lineto
-76 381 lineto
-76 360 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-28 367.5 moveto 40 (bdm::RV) alignedtext
+newpath 20 356 moveto
+20 377 lineto
+76 377 lineto
+76 356 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 20 356 moveto
+20 377 lineto
+76 377 lineto
+76 356 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+28 363.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -375,23 +375,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 48 410 moveto
-48 400 48 389 48 381 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 44.5 410 moveto
-48 420 lineto
-51.5 410 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 44.5 410 moveto
-48 420 lineto
-51.5 410 lineto
+newpath 48 406 moveto
+48 396 48 385 48 377 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 44.5 406 moveto
+48 416 lineto
+51.5 406 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44.5 406 moveto
+48 416 lineto
+51.5 406 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 71 287 135 307 ]
+[ /Rect [ 71 285 135 305 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1epdf.html) >>
@@ -399,20 +399,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 71 286 moveto
-71 307 lineto
-136 307 lineto
-136 286 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 71 286 moveto
-71 307 lineto
-136 307 lineto
-136 286 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-78.5 293.5 moveto 49 (bdm::epdf) alignedtext
+newpath 71 284 moveto
+71 305 lineto
+136 305 lineto
+136 284 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 71 284 moveto
+71 305 lineto
+136 305 lineto
+136 284 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+78.5 291.5 moveto 49 (bdm::epdf) alignedtext
 grestore
 % Node4->Node6
@@ -421,19 +421,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 64 412 moveto
-72 403 80 393 85 382 curveto
-97 356 101 324 102 307 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 61.2 409.9 moveto
-58 420 lineto
-66.8 414.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 61.2 409.9 moveto
-58 420 lineto
-66.8 414.1 lineto
+newpath 64 408 moveto
+72 399 80 389 85 378 curveto
+96 353 100 321 102 305 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 61.2 405.9 moveto
+58 416 lineto
+66.8 410.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 61.2 405.9 moveto
+58 416 lineto
+66.8 410.1 lineto
 closepath stroke
 grestore
@@ -443,73 +443,70 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 46 350 moveto
-44 317 38 257 35 233 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 42.52 350.4 moveto
-47 360 lineto
-49.49 349.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 42.52 350.4 moveto
-47 360 lineto
-49.49 349.7 lineto
+newpath 46 346 moveto
+44 314 38 256 35 233 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 42.52 346.4 moveto
+47 356 lineto
+49.49 345.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 42.52 346.4 moveto
+47 356 lineto
+49.49 345.7 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-45.5 301 moveto 9 (rv) alignedtext
+43 292.5 moveto 14 (rvc) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 63 348 moveto
+73 334 87 316 95 305 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 60.2 345.9 moveto
+57 356 lineto
+65.8 350.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 60.2 345.9 moveto
+57 356 lineto
+65.8 350.1 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-43 288 moveto 14 (rvc) alignedtext
-grestore
-% Node5->Node6
+77.5 328.5 moveto 9 (rv) alignedtext
+grestore
+% Node6->Node3
 gsave
 1 setlinewidth
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 62 352 moveto
-73 338 87 319 95 307 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 59.2 349.9 moveto
-56 360 lineto
-64.8 354.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 59.2 349.9 moveto
-56 360 lineto
-64.8 354.1 lineto
+newpath 85 276 moveto
+72 263 54 245 44 233 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 82.78 278.78 moveto
+92 284 lineto
+88.05 274.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 82.78 278.78 moveto
+92 284 lineto
+88.05 274.17 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-77.5 332.5 moveto 9 (rv) alignedtext
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 86 279 moveto
-72 264 55 245 44 233 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 83.45 281.4 moveto
-93 286 lineto
-88.4 276.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 83.45 281.4 moveto
-93 286 lineto
-88.4 276.45 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-74 256.5 moveto 12 (ep) alignedtext
+76 256.5 moveto 12 (ep) alignedtext
 grestore
 % Node8
@@ -543,18 +540,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 107 276 moveto
-110 262 112 244 114 233 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 103.53 275.51 moveto
-105 286 lineto
-110.39 276.88 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 103.53 275.51 moveto
-105 286 lineto
-110.39 276.88 lineto
+newpath 107 274 moveto
+110 261 112 244 114 233 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 103.53 273.51 moveto
+105 284 lineto
+110.39 274.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 103.53 273.51 moveto
+105 284 lineto
+110.39 274.88 lineto
 closepath stroke
 grestore
@@ -706,5 +703,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 252 486
+%%BoundingBox: 36 36 252 482
 end
 restore
Index: /doc/latex/classbdm_1_1mgamma__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1mgamma__coll__graph.eps (revision 261)
+++ /doc/latex/classbdm_1_1mgamma__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 212 406
+%%PageBoundingBox: 36 36 212 402
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 176 370 boxprim clip newpath
+36 36 176 366 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -300,5 +300,5 @@
 % Node4
 gsave
-[ /Rect [ 10 341 94 361 ]
+[ /Rect [ 10 337 94 357 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 10 340 moveto
-10 361 lineto
-95 361 lineto
-95 340 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 10 340 moveto
-10 361 lineto
-95 361 lineto
-95 340 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-17.5 347.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 10 336 moveto
+10 357 lineto
+95 357 lineto
+95 336 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 10 336 moveto
+10 357 lineto
+95 357 lineto
+95 336 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+17.5 343.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -328,24 +328,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 34 333 moveto
-27 324 19 313 15 302 curveto
--3 248 21 179 32 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 31.45 335.4 moveto
-41 340 lineto
-36.4 330.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 31.45 335.4 moveto
-41 340 lineto
-36.4 330.45 lineto
+newpath 34 329 moveto
+27 320 19 309 15 298 curveto
+-3 245 21 178 32 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 31.45 331.4 moveto
+41 336 lineto
+36.4 326.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 31.45 331.4 moveto
+41 336 lineto
+36.4 326.45 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 24 281 80 301 ]
+[ /Rect [ 24 277 80 297 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 24 280 moveto
-24 301 lineto
-80 301 lineto
-80 280 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 24 280 moveto
-24 301 lineto
-80 301 lineto
-80 280 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-32 287.5 moveto 40 (bdm::RV) alignedtext
+newpath 24 276 moveto
+24 297 lineto
+80 297 lineto
+80 276 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 24 276 moveto
+24 297 lineto
+80 297 lineto
+80 276 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+32 283.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -375,23 +375,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 52 330 moveto
-52 320 52 309 52 301 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 48.5 330 moveto
-52 340 lineto
-55.5 330 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 48.5 330 moveto
-52 340 lineto
-55.5 330 lineto
+newpath 52 326 moveto
+52 316 52 305 52 297 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 48.5 326 moveto
+52 336 lineto
+55.5 326 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 48.5 326 moveto
+52 336 lineto
+55.5 326 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 75 207 139 227 ]
+[ /Rect [ 75 205 139 225 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1epdf.html) >>
@@ -399,20 +399,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 75 206 moveto
-75 227 lineto
-140 227 lineto
-140 206 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 75 206 moveto
-75 227 lineto
-140 227 lineto
-140 206 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-82.5 213.5 moveto 49 (bdm::epdf) alignedtext
+newpath 75 204 moveto
+75 225 lineto
+140 225 lineto
+140 204 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 75 204 moveto
+75 225 lineto
+140 225 lineto
+140 204 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+82.5 211.5 moveto 49 (bdm::epdf) alignedtext
 grestore
 % Node4->Node6
@@ -421,19 +421,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 68 332 moveto
-76 323 84 313 89 302 curveto
-101 276 105 244 106 227 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 65.2 329.9 moveto
-62 340 lineto
-70.8 334.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 65.2 329.9 moveto
-62 340 lineto
-70.8 334.1 lineto
+newpath 68 328 moveto
+76 319 84 309 89 298 curveto
+100 273 104 241 106 225 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 65.2 325.9 moveto
+62 336 lineto
+70.8 330.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 65.2 325.9 moveto
+62 336 lineto
+70.8 330.1 lineto
 closepath stroke
 grestore
@@ -443,73 +443,70 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 50 270 moveto
-46 237 40 177 37 153 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 46.52 270.4 moveto
-51 280 lineto
-53.49 269.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 46.52 270.4 moveto
-51 280 lineto
-53.49 269.7 lineto
+newpath 50 266 moveto
+46 234 40 176 37 153 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 46.52 266.4 moveto
+51 276 lineto
+53.49 265.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 46.52 266.4 moveto
+51 276 lineto
+53.49 265.7 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-49.5 221 moveto 9 (rv) alignedtext
+46 212.5 moveto 14 (rvc) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 67 268 moveto
+77 254 91 236 99 225 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 64.2 265.9 moveto
+61 276 lineto
+69.8 270.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 64.2 265.9 moveto
+61 276 lineto
+69.8 270.1 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-47 208 moveto 14 (rvc) alignedtext
-grestore
-% Node5->Node6
+81.5 248.5 moveto 9 (rv) alignedtext
+grestore
+% Node6->Node3
 gsave
 1 setlinewidth
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 66 272 moveto
-77 258 91 239 99 227 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 63.2 269.9 moveto
-60 280 lineto
-68.8 274.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 63.2 269.9 moveto
-60 280 lineto
-68.8 274.1 lineto
+newpath 89 197 moveto
+75 183 57 165 46 153 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 86.45 199.4 moveto
+96 204 lineto
+91.4 194.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 86.45 199.4 moveto
+96 204 lineto
+91.4 194.45 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-81.5 252.5 moveto 9 (rv) alignedtext
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 89 199 moveto
-75 184 57 165 46 153 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 86.45 201.4 moveto
-96 206 lineto
-91.4 196.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 86.45 201.4 moveto
-96 206 lineto
-91.4 196.45 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-77 176.5 moveto 12 (ep) alignedtext
+79 176.5 moveto 12 (ep) alignedtext
 grestore
 % Node8
@@ -543,18 +540,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 111 196 moveto
-114 182 119 164 121 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 107.53 195.51 moveto
-109 206 lineto
-114.39 196.88 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 107.53 195.51 moveto
-109 206 lineto
-114.39 196.88 lineto
+newpath 112 194 moveto
+115 181 119 164 121 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.53 193.51 moveto
+110 204 lineto
+115.39 194.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.53 193.51 moveto
+110 204 lineto
+115.39 194.88 lineto
 closepath stroke
 grestore
@@ -636,5 +633,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 212 406
+%%BoundingBox: 36 36 212 402
 end
 restore
Index: /doc/latex/classbdm_1_1migamma__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1migamma__coll__graph.md5 (revision 261)
+++ /doc/latex/classbdm_1_1migamma__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-37cdd73aede737181980f35f6469304b
+37cce516a805d0697efe9767ef60db91
Index: /doc/latex/classbdm_1_1datalink__m2e__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2e__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2e__coll__graph.eps (revision 270)
@@ -208,26 +208,26 @@
 % Node2
 gsave
-[ /Rect [ 2 59 106 79 ]
+[ /Rect [ 14 59 94 79 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbdm_1_1datalink__e2e.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1datalink.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 2 58 moveto
-2 79 lineto
-107 79 lineto
-107 58 lineto
+newpath 14 58 moveto
+14 79 lineto
+95 79 lineto
+95 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 2 58 moveto
-2 79 lineto
-107 79 lineto
-107 58 lineto
+newpath 14 58 moveto
+14 79 lineto
+95 79 lineto
+95 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-9.5 65.5 moveto 89 (bdm::datalink_e2e) alignedtext
+21.5 65.5 moveto 65 (bdm::datalink) alignedtext
 grestore
 % Node2->Node1
Index: /doc/latex/classbdm_1_1mgamma__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1mgamma__coll__graph.md5 (revision 261)
+++ /doc/latex/classbdm_1_1mgamma__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-4c7b50f2f9f5ca29cf811ecc505fd053
+b89da1050d0e0a34e8b6b9d2be866512
Index: /doc/latex/classbdm_1_1multiBM__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1multiBM__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1multiBM__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/inline_dotgraph_1.eps
===================================================================
--- /doc/latex/inline_dotgraph_1.eps (revision 261)
+++ /doc/latex/inline_dotgraph_1.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 176 244
+%%PageBoundingBox: 36 36 332 232
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 140 208 boxprim clip newpath
+36 36 296 196 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % cluster0
@@ -190,12 +190,15 @@
 1 setlinewidth
 0.000 0.000 1.000 graphcolor
-newpath 8 114 moveto
-8 192 lineto
-124 192 lineto
-124 114 lineto
+newpath 8 31 moveto
+8 169 lineto
+140 169 lineto
+140 31 lineto
 closepath stroke
 0.000 0.000 0.000 graphcolor
 14 /Times-Roman set_font
-57.5 175.4 moveto 17 (Up) alignedtext
+44.5 152.4 moveto 59 (RV_MAP ) alignedtext
+0.000 0.000 0.000 graphcolor
+14 /Times-Roman set_font
+16 134.4 moveto 116 ( std::map<string,int>) alignedtext
 grestore
 % cluster1
@@ -203,145 +206,215 @@
 1 setlinewidth
 0.000 0.000 1.000 graphcolor
-newpath 28 16 moveto
-28 94 lineto
-104 94 lineto
-104 16 lineto
+newpath 160 102 moveto
+160 180 lineto
+280 180 lineto
+280 102 lineto
 closepath stroke
 0.000 0.000 0.000 graphcolor
 14 /Times-Roman set_font
-49.5 25.4 moveto 33 (Down) alignedtext
-grestore
-% up
-gsave
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 16 122 moveto
-16 158 lineto
-116 158 lineto
-116 122 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-24 141.4 moveto 4 ( ) alignedtext
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 36 122 moveto
-36 158 lineto
-stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-44 141.4 moveto 4 ( ) alignedtext
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 56 122 moveto
-56 158 lineto
-stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-64 141.4 moveto 4 ( ) alignedtext
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 76 122 moveto
-76 158 lineto
-stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-84 141.4 moveto 4 ( ) alignedtext
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 96 122 moveto
-96 158 lineto
-stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-104 141.4 moveto 4 ( ) alignedtext
-grestore
-% down
-gsave
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 36 50 moveto
-36 86 lineto
-96 86 lineto
-96 50 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-44 69.4 moveto 4 ( ) alignedtext
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 56 50 moveto
-56 86 lineto
-stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-64 69.4 moveto 4 ( ) alignedtext
-1 setlinewidth
-0.000 0.000 0.000 nodecolor
-newpath 76 50 moveto
-76 86 lineto
-stroke
-0.000 0.000 0.000 nodecolor
-14 /Times-Roman set_font
-84 69.4 moveto 4 ( ) alignedtext
-grestore
-% up->down
-gsave
-1 setlinewidth
-0.000 0.000 0.000 edgecolor
-newpath 31 122 moveto
-33 114 36 105 38 96 curveto
-stroke
-0.000 0.000 0.000 edgecolor
-newpath 41.48 96.58 moveto
-41 86 lineto
-34.77 94.57 lineto
+183 163.4 moveto 74 (RV_NAMES) alignedtext
+grestore
+% cluster2
+gsave
+1 setlinewidth
+0.000 0.000 1.000 graphcolor
+newpath 177 16 moveto
+177 94 lineto
+263 94 lineto
+263 16 lineto
+closepath stroke
+0.000 0.000 0.000 graphcolor
+14 /Times-Roman set_font
+189 25.4 moveto 62 (RV_SIZES) alignedtext
+grestore
+% map
+gsave
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 45 39 moveto
+45 117 lineto
+103 117 lineto
+103 39 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+53 100.4 moveto 18 ("a") alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 45 91 moveto
+80 91 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+52.5 74.4 moveto 19 ("b") alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 45 65 moveto
+80 65 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+53 48.4 moveto 18 ("c") alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 80 39 moveto
+80 117 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+87.5 100.4 moveto 7 (3) alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 80 91 moveto
+103 91 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+87.5 74.4 moveto 7 (1) alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 80 65 moveto
+103 65 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+87.5 48.4 moveto 7 (2) alignedtext
+grestore
+% names
+gsave
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 169 110 moveto
+169 146 lineto
+272 146 lineto
+272 110 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+176.5 129.4 moveto 19 ("b") alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 204 110 moveto
+204 146 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+212 129.4 moveto 18 ("c") alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 238 110 moveto
+238 146 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+246 129.4 moveto 18 ("a") alignedtext
+grestore
+% map->names
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 103 84 moveto
+118 92 141 105 160 114 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 158.56 117.2 moveto
+169 119 lineto
+161.96 111.08 lineto
 closepath fill
 1 setlinewidth
 solid
 0.000 0.000 0.000 edgecolor
-newpath 41.48 96.58 moveto
-41 86 lineto
-34.77 94.57 lineto
-closepath stroke
-grestore
-% up->down
-gsave
-1 setlinewidth
-0.000 0.000 0.000 edgecolor
-newpath 66 122 moveto
-66 114 66 105 66 96 curveto
-stroke
-0.000 0.000 0.000 edgecolor
-newpath 69.5 96 moveto
-66 86 lineto
-62.5 96 lineto
+newpath 158.56 117.2 moveto
+169 119 lineto
+161.96 111.08 lineto
+closepath stroke
+grestore
+% map->names
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 103 106 moveto
+129 110 192 119 228 124 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 227.7 127.49 moveto
+238 125 lineto
+228.4 120.52 lineto
 closepath fill
 1 setlinewidth
 solid
 0.000 0.000 0.000 edgecolor
-newpath 69.5 96 moveto
-66 86 lineto
-62.5 96 lineto
-closepath stroke
-grestore
-% up->down
-gsave
-1 setlinewidth
-0.000 0.000 0.000 edgecolor
-newpath 101 122 moveto
-99 114 96 105 94 96 curveto
-stroke
-0.000 0.000 0.000 edgecolor
-newpath 97.23 94.57 moveto
-91 86 lineto
-90.52 96.58 lineto
+newpath 227.7 127.49 moveto
+238 125 lineto
+228.4 120.52 lineto
+closepath stroke
+grestore
+% sizes
+gsave
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 186 50 moveto
+186 86 lineto
+255 86 lineto
+255 50 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+193.5 69.4 moveto 7 (1) alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 209 50 moveto
+209 86 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+216.5 69.4 moveto 7 (4) alignedtext
+1 setlinewidth
+0.000 0.000 0.000 nodecolor
+newpath 232 50 moveto
+232 86 lineto
+stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+239.5 69.4 moveto 7 (1) alignedtext
+grestore
+% map->sizes
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 103 77 moveto
+121 75 154 72 176 70 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 176.4 73.48 moveto
+186 69 lineto
+175.7 66.51 lineto
 closepath fill
 1 setlinewidth
 solid
 0.000 0.000 0.000 edgecolor
-newpath 97.23 94.57 moveto
-91 86 lineto
-90.52 96.58 lineto
+newpath 176.4 73.48 moveto
+186 69 lineto
+175.7 66.51 lineto
+closepath stroke
+grestore
+% map->sizes
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 103 101 moveto
+129 96 190 81 222 73 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 222.88 76.39 moveto
+232 71 lineto
+221.51 69.53 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 222.88 76.39 moveto
+232 71 lineto
+221.51 69.53 lineto
 closepath stroke
 grestore
@@ -353,5 +426,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 176 244
+%%BoundingBox: 36 36 332 232
 end
 restore
